## com.sun.jersey.api.client
Class ViewResource.Builder

    java.lang.Object
      com.sun.jersey.api.client.PartialRequestBuilder<ViewResource.Builder>
          com.sun.jersey.api.client.ViewResource.Builder

All Implemented Interfaces:
  RequestBuilder<ViewResource.Builder>, ViewUniformInterface

Enclosing class:
  ViewResource

    public final class ViewResource.Builder

extends PartialRequestBuilder<ViewResource.Builder>
implements ViewUniformInterface

The builder for building a `ClientRequest` instance and handling the request using the `UniformInterface`. The methods of the `UniformInterface` are the build methods of the builder.

Field Summary

Fields inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`entity, metadata`

Method Summary

`

`<T> T`

`

`delete(java.lang.Class<T> c)`

`

`<T> T`

`

`delete(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`delete(T t)`

`

`<T> T`

`

`delete(T t, java.lang.Object requestEntity)`

`

`<T> T`

`

`get(java.lang.Class<T> c)`

`

`<T> T`

`

`get(T t)`

`

`<T> T`

`

`head(java.lang.Class<T> c)`

`

`<T> T`

`

`head(T t)`

`

`<T> T`

`

`method(java.lang.String method, java.lang.Class<T> c)`

`

`<T> T`

`

`method(java.lang.String method, java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`method(java.lang.String method, T t)`

`

`<T> T`

`

`method(java.lang.String method, T t, java.lang.Object requestEntity)`

`

`<T> T`

`

`options(java.lang.Class<T> c)`

`

`<T> T`

`

`options(T t)`

`

`<T> T`

`

`post(java.lang.Class<T> c)`

`

`<T> T`

`

`post(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`post(T t)`

`

`<T> T`

`

`post(T t, java.lang.Object requestEntity)`

`

`<T> T`

`

`put(java.lang.Class<T> c)`

`

`<T> T`

`

`put(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> T`

`

`put(T t)`

`

`<T> T`

`

`put(T t, java.lang.Object requestEntity)`

Methods inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`accept, accept, acceptLanguage, acceptLanguage, cookie, entity, entity, entity, header, type, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### head

    public <T> T head(java.lang.Class<T> c)

  Specified by:
    `head` in interface `ViewUniformInterface`

### head

    public <T> T head(T t)

  Specified by:
    `head` in interface `ViewUniformInterface`

### options

    public <T> T options(java.lang.Class<T> c)

  Specified by:
    `options` in interface `ViewUniformInterface`

### options

    public <T> T options(T t)

  Specified by:
    `options` in interface `ViewUniformInterface`

### get

    public <T> T get(java.lang.Class<T> c)

  Specified by:
    `get` in interface `ViewUniformInterface`

### get

    public <T> T get(T t)

  Specified by:
    `get` in interface `ViewUniformInterface`

### put

    public <T> T put(java.lang.Class<T> c)

  Specified by:
    `put` in interface `ViewUniformInterface`

### put

    public <T> T put(T t)

  Specified by:
    `put` in interface `ViewUniformInterface`

### put

    public <T> T put(java.lang.Class<T> c,
                     java.lang.Object requestEntity)

  Specified by:
    `put` in interface `ViewUniformInterface`

### put

    public <T> T put(T t,
                     java.lang.Object requestEntity)

  Specified by:
    `put` in interface `ViewUniformInterface`

### post

    public <T> T post(java.lang.Class<T> c)

  Specified by:
    `post` in interface `ViewUniformInterface`

### post

    public <T> T post(T t)

  Specified by:
    `post` in interface `ViewUniformInterface`

### post

    public <T> T post(java.lang.Class<T> c,
                      java.lang.Object requestEntity)

  Specified by:
    `post` in interface `ViewUniformInterface`

### post

    public <T> T post(T t,
                      java.lang.Object requestEntity)

  Specified by:
    `post` in interface `ViewUniformInterface`

### delete

    public <T> T delete(java.lang.Class<T> c)

  Specified by:
    `delete` in interface `ViewUniformInterface`

### delete

    public <T> T delete(T t)

  Specified by:
    `delete` in interface `ViewUniformInterface`

### delete

    public <T> T delete(java.lang.Class<T> c,
                        java.lang.Object requestEntity)

  Specified by:
    `delete` in interface `ViewUniformInterface`

### delete

    public <T> T delete(T t,
                        java.lang.Object requestEntity)

  Specified by:
    `delete` in interface `ViewUniformInterface`

### method

    public <T> T method(java.lang.String method,
                        java.lang.Class<T> c)

  Specified by:
    `method` in interface `ViewUniformInterface`

### method

    public <T> T method(java.lang.String method,
                        T t)

  Specified by:
    `method` in interface `ViewUniformInterface`

### method

    public <T> T method(java.lang.String method,
                        java.lang.Class<T> c,
                        java.lang.Object requestEntity)

  Specified by:
    `method` in interface `ViewUniformInterface`

### method

    public <T> T method(java.lang.String method,
                        T t,
                        java.lang.Object requestEntity)

  Specified by:
    `method` in interface `ViewUniformInterface`

Copyright © 2017 Oracle Corporation. All Rights Reserved.